Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class TreeNodeWithProperties

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          groovy.inspect.swingui.TreeNodeWithProperties

    class TreeNodeWithProperties
    extends javax.swing.tree.DefaultMutableTreeNode

This class is a TreeNode and you can store additional properties on it.

Authors:
  Hamlet D'Arcy

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
EMPTY_ENUMERATION

Property Summary
`java.util.List` | `properties`

Constructor Summary
`TreeNodeWithProperties(java.lang.Object userObject, java.util.List properties)` Creates a tree node and attaches properties to it.

Method Summary

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
javax.swing.tree.DefaultMutableTreeNode#getChildAt(int), javax.swing.tree.DefaultMutableTreeNode#getChildCount(), javax.swing.tree.DefaultMutableTreeNode#setAllowsChildren(boolean), javax.swing.tree.DefaultMutableTreeNode#getAllowsChildren(), javax.swing.tree.DefaultMutableTreeNode#setUserObject(java.lang.Object), javax.swing.tree.DefaultMutableTreeNode#getUserObject(), javax.swing.tree.DefaultMutableTreeNode#removeFromParent(), javax.swing.tree.DefaultMutableTreeNode#removeAllChildren(), javax.swing.tree.DefaultMutableTreeNode#isNodeAncestor(javax.swing.tree.TreeNode), javax.swing.tree.DefaultMutableTreeNode#isNodeDescendant(javax.swing.tree.DefaultMutableTreeNode), javax.swing.tree.DefaultMutableTreeNode#getSharedAncestor(javax.swing.tree.DefaultMutableTreeNode), javax.swing.tree.DefaultMutableTreeNode#isNodeRelated(javax.swing.tree.DefaultMutableTreeNode), javax.swing.tree.DefaultMutableTreeNode#getDepth(), javax.swing.tree.DefaultMutableTreeNode#getUserObjectPath(), javax.swing.tree.DefaultMutableTreeNode#isRoot(), javax.swing.tree.DefaultMutableTreeNode#getNextNode(), javax.swing.tree.DefaultMutableTreeNode#getPreviousNode(), javax.swing.tree.DefaultMutableTreeNode#preorderEnumeration(), javax.swing.tree.DefaultMutableTreeNode#postorderEnumeration(), javax.swing.tree.DefaultMutableTreeNode#breadthFirstEnumeration(), javax.swing.tree.DefaultMutableTreeNode#depthFirstEnumeration(), javax.swing.tree.DefaultMutableTreeNode#pathFromAncestorEnumeration(javax.swing.tree.TreeNode), javax.swing.tree.DefaultMutableTreeNode#isNodeChild(javax.swing.tree.TreeNode), javax.swing.tree.DefaultMutableTreeNode#getFirstChild(), javax.swing.tree.DefaultMutableTreeNode#getLastChild(), javax.swing.tree.DefaultMutableTreeNode#getChildAfter(javax.swing.tree.TreeNode), javax.swing.tree.DefaultMutableTreeNode#getChildBefore(javax.swing.tree.TreeNode), javax.swing.tree.DefaultMutableTreeNode#isNodeSibling(javax.swing.tree.TreeNode), javax.swing.tree.DefaultMutableTreeNode#getSiblingCount(), javax.swing.tree.DefaultMutableTreeNode#getNextSibling(), javax.swing.tree.DefaultMutableTreeNode#getPreviousSibling(), javax.swing.tree.DefaultMutableTreeNode#isLeaf(), javax.swing.tree.DefaultMutableTreeNode#getFirstLeaf(), javax.swing.tree.DefaultMutableTreeNode#getLastLeaf(), javax.swing.tree.DefaultMutableTreeNode#getNextLeaf(), javax.swing.tree.DefaultMutableTreeNode#getPreviousLeaf(), javax.swing.tree.DefaultMutableTreeNode#getLeafCount(), javax.swing.tree.DefaultMutableTreeNode#add(javax.swing.tree.MutableTreeNode), javax.swing.tree.DefaultMutableTreeNode#toString(), javax.swing.tree.DefaultMutableTreeNode#clone(), javax.swing.tree.DefaultMutableTreeNode#getParent(), javax.swing.tree.DefaultMutableTreeNode#remove(int), javax.swing.tree.DefaultMutableTreeNode#remove(javax.swing.tree.MutableTreeNode), javax.swing.tree.DefaultMutableTreeNode#insert(javax.swing.tree.MutableTreeNode, int), javax.swing.tree.DefaultMutableTreeNode#setParent(javax.swing.tree.MutableTreeNode), javax.swing.tree.DefaultMutableTreeNode#getPath(), javax.swing.tree.DefaultMutableTreeNode#getIndex(javax.swing.tree.TreeNode), javax.swing.tree.DefaultMutableTreeNode#children(), javax.swing.tree.DefaultMutableTreeNode#getLevel(), javax.swing.tree.DefaultMutableTreeNode#getRoot(), javax.swing.tree.DefaultMutableTreeNode#wait(long), javax.swing.tree.DefaultMutableTreeNode#wait(long, int), javax.swing.tree.DefaultMutableTreeNode#wait(), javax.swing.tree.DefaultMutableTreeNode#equals(java.lang.Object), javax.swing.tree.DefaultMutableTreeNode#hashCode(), javax.swing.tree.DefaultMutableTreeNode#getClass(), javax.swing.tree.DefaultMutableTreeNode#notify(), javax.swing.tree.DefaultMutableTreeNode#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### properties

    java.util.List properties

Constructor Detail

### TreeNodeWithProperties

    TreeNodeWithProperties(java.lang.Object userObject, java.util.List properties)

  Creates a tree node and attaches properties to it.
  Parameters:
    `userObject` - same as a DefaultMutableTreeNode requires
    `properties` - a list of String lists

Groovy Documentation